<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmCpu: X:/kmCpuDefs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmCpu
   </div>
   <div id="projectbrief">kmCpu library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_cpu_defs_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmCpuDefs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_cpu_defs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">// PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#ifndef KM_CPUDEFS_H_</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="preprocessor">#define KM_CPUDEFS_H_</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a550fe6b02a611769ddbfa05f7ba4ef6d">   35</a></span><span class="preprocessor">#define KM_CPU_CLOCK_STD_32768_HZ        32768   </span><span class="comment">//     32.768 KHz</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a8b212649bf8551df7b45446530cd236e">   37</a></span>#define KM_CPU_CLOCK_STD_1000000_HZ   1000000   <span class="comment">//   1 MHz</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#afa1f9e225912eb14f56f839673b3b3b9">   39</a></span>#define KM_CPU_CLOCK_STD_1843200_HZ   1843200   <span class="comment">//   1.8432 MHz</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a17e11d2d85806afe16b63333ff5dac0e">   41</a></span>#define KM_CPU_CLOCK_STD_2000000_HZ   2000000   <span class="comment">//   2 MHz</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#abc2ad23ace1a76bb3094c60e5337d759">   43</a></span>#define KM_CPU_CLOCK_STD_3686400_HZ   3686400   <span class="comment">//   3.6864 MHz</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a2f53cbefee3058307de8fbf4c92659af">   45</a></span>#define KM_CPU_CLOCK_STD_4000000_HZ   4000000   <span class="comment">//   4 MHz</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a0df2dfe84f80dbda443583b2aab394be">   47</a></span>#define KM_CPU_CLOCK_STD_7372800_HZ   7372800   <span class="comment">//   7.3728 MHz</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#ad1ee12c638b9646cade7d59fc40e6bf7">   49</a></span>#define KM_CPU_CLOCK_STD_8000000_HZ   8000000   <span class="comment">//   8 MHz</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a76b3918cfad839c27fe6908a02e12ba0">   51</a></span>#define KM_CPU_CLOCK_STD_9000000_HZ   9000000   <span class="comment">//   9 MHz</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a15ae0ddc5604f1c8098c9710f311a797">   53</a></span>#define KM_CPU_CLOCK_STD_11059200_HZ 11059200   <span class="comment">//  11.0592 MHz</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#aeb5287e50ec482dc94c93334831695cc">   55</a></span>#define KM_CPU_CLOCK_STD_14745600_HZ 14745600   <span class="comment">//  14.7456 MHz</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a15b748822ac89065447fb61d51b4d3c7">   57</a></span>#define KM_CPU_CLOCK_STD_16000000_HZ 16000000   <span class="comment">//  16 MHz</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a3d07c7d9c2b68665d036cd6f61686c55">   59</a></span>#define KM_CPU_CLOCK_STD_18432000_HZ 18432000   <span class="comment">//  18.4320 MHz</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#aae5b8e359b5150a64ce100b6c61be24c">   61</a></span>#define KM_CPU_CLOCK_STD_20000000_HZ 20000000   <span class="comment">//  20 MHz</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#a934766e33f008e4d393bb0093d55b635">   63</a></span>#define KM_CPU_CLOCK_STD_24000000_HZ 24000000   <span class="comment">//  24 MHz</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="km_cpu_defs_8h.html#adb35e820a0ab49de7122421d54535456">   65</a></span>#define KM_CPU_CLOCK_STD_25000000_HZ 25000000   <span class="comment">//  25 MHz</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="preprocessor">#if \</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="preprocessor">    defined(__AVR_ATmega8__) \</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="preprocessor">    || defined(__AVR_ATmega8A__) \</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="preprocessor">    || defined(__AVR_ATmega16__) \</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="preprocessor">    || defined(__AVR_ATmega16A__) \</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="preprocessor">    || defined(__AVR_ATmega32__) \</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="preprocessor">    || defined(__AVR_ATmega32A__)</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">#define KM_CPU_AVR_SERIES_0</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="preprocessor">#if \</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="preprocessor">    defined(__AVR_ATmega8__) \</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="preprocessor">    || defined(__AVR_ATmega8A__) \</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="preprocessor">    || defined(__AVR_ATmega16__) \</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="preprocessor">    || defined(__AVR_ATmega16A__)</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_28</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="preprocessor">#if \</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="preprocessor">    defined(__AVR_ATmega32__) \</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="preprocessor">    || defined(__AVR_ATmega32A__)</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_40</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="preprocessor">#if \</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="preprocessor">    defined(__AVR_ATmega644__) \</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="preprocessor">    || defined(__AVR_ATmega644P__) \</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span><span class="preprocessor">    || defined(__AVR_ATmega1284__) \</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="preprocessor">    || defined(__AVR_ATmega1284P__)</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="preprocessor">#define KM_CPU_AVR_SERIES_4</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span><span class="preprocessor">#define KM_CPU_AVR_SERIES_48</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_40</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="preprocessor">#if \</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="preprocessor">    defined(__AVR_ATmega328__) \</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span><span class="preprocessor">    || defined(__AVR_ATmega328P__) \</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="preprocessor">    || defined(__AVR_ATmega328PB__)</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="preprocessor">#define KM_CPU_AVR_SERIES_8</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="preprocessor">#define KM_CPU_AVR_SERIES_48</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_28</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span><span class="preprocessor">#if \</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span><span class="preprocessor">    defined(__AVR_ATmega256RFR2__)</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span><span class="preprocessor">#define KM_CPU_AVR_SERIES_8</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span><span class="preprocessor">#define KM_CPU_AVR_SERIES_48</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_64</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="preprocessor">#if \</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="preprocessor">    defined(__AVR_ATmega2560__)</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="preprocessor">#define KM_CPU_AVR_SERIES_8</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span><span class="preprocessor">#define KM_CPU_AVR_SERIES_48</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span><span class="preprocessor">#endif </span><span class="comment">/* KM_CPUDEFS_H_ */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_cpu_defs_8h.html">kmCpuDefs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
